<!-- Breadcrumb -->
<div class="breadcrumbs overlay" data-stellar-background-ratio="0.7">

</div>
<!--/ End Breadcrumb -->
<div class="container">
    <div class="row my-4">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <a class="item">
                Search
                <i class="icon-tick-bold"></i>
        </a>
                </li>
                <li class="active">
                    <span class="item">
            Choose Flight
        </span>
                </li>
                <li>
                    <span class="item">
            Choose Extras
        </span>
                </li>
                <li>
                    <span class="item">
            Book
        </span>
                </li>
            </ul>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-md-12">
            <button type="button" class="btn btn-secondary btn-refine-search btn-block" ng-click="isCollapsed = !isCollapsed">
               
				Your Flights from <span >{{flightResultList.frmAirprt.split(',')[0]}} &nbsp;({{flightResultList.frmAirprt.split('(')[1]}} <span ng-show="flightResultList.srchType == 2">&#8652;</span><span ng-show="flightResultList.srchType == 1">&#8594;</span> &nbsp;  {{flightResultList.toAirprt.split(',')[0]}} &nbsp;({{flightResultList.toAirprt.split('(')[1]}}
                <a href class="search-panel-arrow"><i ng-class="{'icon-chevron-down': isCollapsed, 'icon-chevron-up':!isCollapsed}" class="o-icon-label__icon"></i></a>
                <span class="change-search"><i class="o-icon-label__icon icon-search"></i> Change Search</span>                
            </button>
            <div uib-collapse="isCollapsed" class="search-pane">
                <div ng-include="'views/flight/flightSearch.html'"></div>
            </div>
        </div>
    </div>

    <div class="row my-4">
       <div class="col-md-3">
			<div class="side-panel">
				<div class="search-filter-header">
					<h3 class="sc-c-heading">Filter by</h3>
				</div>
				<div class="search-filter-section">
					<div class="search-filter-section__header">Stops</div>
					<table class="search-filter-section__body m-0">
						<thead>
							<th><input type="checkbox" name="selectStop"  ng-model="isAllSelected"  
								ng-init="checkAllStops();" ng-click="toggleStops();"
								class="sc-o-checkbox__input" /></th>
							<th>Show/Hide</th> 
							<!-- <th>Count</th> --> 
							<th></th>  
							<th>Min Fare</th>
						</thead>
						<tbody class="sc-o-checkbox__caption"
							ng-repeat="filter in flightResultList.filterParams.stopsBeanList track by $index">
							<tr>
								<td><input type="checkbox" name="selectStopItem"
									 ng-click="stopsChange($index);" ng-model="option.selected" 
									checklist-model="stopsObj.stopsList"
									checklist-value="filter.stopName" class="sc-o-checkbox__input" />
								</td> 
								<td>{{filter.stopName}}</td>
								<td><span class="cheapest" ng-show="isMin(filter.minFare)">cheapest</span></td>
								<td><span class="red fontWght">{{currency}}
										{{filter.minFare}} </span></td>
							</tr>
						</tbody>
					</table> 


					<div class="search-filter-section__header">Airline</div>
					<table class="search-filter-section__body m-0">
						<thead>

							<th><input type="checkbox" name="selectStop"
								ng-init="checkAllAirline();" ng-click="toggleAirline();"
								class="sc-o-checkbox__input" /></th>
							<th>Show/Hide</th>
							<!-- <th>Count</th> -->
							<th></th>
							<th>Min Fare</th>
						</thead>
						<tbody class="sc-o-checkbox__caption"
							ng-repeat="filterAir in flightResultList.filterParams.airlineBeanList track by $index">
							<tr class="information"> 
								<td><input type="checkbox" name="selectStop"   
									ng-click="airlineChange($index);"
									checklist-model="airLineObj.airLineList"
									checklist-value="filterAir.airlineName"
									class="sc-o-checkbox__input" /></td>
								<td>{{filterAir.airlineName}}</td>
								<!-- <td>{{filterAir.count}}</td> -->
								<td><span class="cheapest"
									ng-show="isairlineMin(filterAir.minFare)">cheapest</span></td>
								<td><span class="red fontWght">{{currency}}
										{{filterAir.minFare}}</span></td>

							</tr>
						</tbody>
					</table>

					<div class="search-filter-section__header">Departure flight
						take-off</div>
					<div id="time-range">
						<p>
							Time Range: <span class="slider-dpt-time" >00:00 </span> -
										<span class="slider-dpt-time2" >23:59</span>	  	  	  
						</p>
						<div class="sliders_step1">  
							<div id="departure-range"></div>   
						</div> 
					</div>
   
					
					<div class="search-filter-section__header">Return flight
						take-off</div>
						<div id="time-range"> 
						<p>
							Time Range: <span class="slider-time" >00:00 </span> -
										<span class="slider-time2">23:59 </span>	  	  
						</p>
						<div class="sliders_step1">  
							<div id="arrival-range"></div>	   
						</div> 
					</div>
   
					
					<div class="search-filter-section__header">Price Range</div>
					
					<div id="time-range">
						<p>
							Price Range: <span class="slider-price1" >{{minPrice}} </span> -	  
										<span class="slider-price2" >{{maxPrice}}</span>	  	  
						</p>
						<div class="sliders_step1">  
							<div id="price-range"></div>	    
						</div> 
					</div>
   
					
				</div>
			</div>
		</div>
        <div class="col-md-9 search-results-panel">
            <div class="search-results-info-panel sc-u-grid-gutter-y">
              <h1 class="sc-c-heading sc-c-heading--xl"><span ng-bind="totalFlight.length"></span> flights available from <span ng-bind="flightResultList.frmAirprt.split(',')[0]"></span> <span ng-show="flightResultList.srchType == 2">&#8652;</span><span ng-show="flightResultList.srchType == 1">&#8594;</span> <span ng-bind="flightResultList.toAirprt.split(',')[0]"></span> </h1>

            </div>
           
            <div class="sc-o-row">
                <div class="sc-o-col-12 sc-u-grid-gutter-y">
                    <div class="search-result-container">
					<div class="cssload-container" ng-show="loading">
			<div class="cssload-tube-tunnel" style="margin-left: 18em;"></div>
		</div>
					<div class="flight-listing" ng-repeat="flight in flightResultList1" ng-disabled="disabled">
						
						<div class="flight-legs-section">
						  
						<div class="flight-leg ng-scope" ng-repeat="segment in flight.segGrpList">	     	 
                                    <div class="leg-header" ng-repeat="segLists in segment.segList ">	 		
                                   		<div ng-repeat="info in segLists.fltInfoList | limitTo:1">					
                                        <span class="flight-date ng-binding">{{info.dispStartDate}}</span>		 
                                        </div>
                                    </div> 	
                                    <div class="leg-main">   
                                        <div class="airline-logo">
                                            <img class="airline-logo" src="images/Airlines/sm{{flight.outboundFilter.airlineCode}}.png">		
                                        </div>
                                        <div class="leg-itinerary" ng-repeat="segLists in segment.segList">	  	    
                                            <div class="parts"> 
                                                <div class="part part-point part-point-departure">
                                                    <div>
                                                       <span class="flight-time ng-binding">{{segLists.startTime}}</span>	
                                                    </div>
                                                    <div class="flight-airport-title">	 
                                                        <span class="title ng-binding" ng-modal="flightresult.origin">{{segLists.origin}}</span>	  	
                                                    </div>
                                                </div>
                                                <div class="part part-journey">
                                                     <div class="flight-duration ng-binding">
                                                        {{segLists.dispTotFlyDuration}}	  
                                                    </div>
                                                    <div class="flight-stops-graphic">
                                                        <div class="stops">
                                                        </div>
                                                    </div>
                                                    <div class="flight-stops">
                                                        <span class="ng-binding" ng-if="segLists.stops==1">{{segLists.stops}} Stop</span>		       		 
                                                        <span class="ng-binding" ng-if="segLists.stops >1">{{segLists.stops}} Stops</span>		  
                                                        <span class="ng-binding" ng-if="segLists.stops ==0"> Direct</span>	 			
                                                    </div>
                                                </div>
                                                <div class="part part-point part-point-arrival">
                                                    <div>	 
                                                        <span class="flight-time ng-binding">{{segLists.arrivalTime}}</span>
                                                        <!-- ngIf: flight.fromFlight.days --><span class="flight-day-diff ng-binding ng-scope" ng-if="flight.fromFlight.days">(+1)</span><!-- end ngIf: flight.fromFlight.days -->
                                                        <!-- <span class="flight-airport-code ng-binding">{{segLists.airline}}</span> -->	 
                                                    </div>	
                                                    <div class="flight-airport-title">
                                                        <span class="title ng-binding">{{segLists.dest}}</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <!-- <div class="flight-leg" > 
	                                       
                                    <div class="leg-main">			
                                        <div class="airline-logo">
										<img class="airline-logo" src="images/Airlines/sm{{flight.outboundFilter.airlineCode}}.png" />
                                        </div>
										<div  class="leg-itinerary">
										<div class="parts">	
												
												<div class="part part-point part-point-departure">	
												<div ng-repeat="segment in flight.segGrpList">
												<div ng-repeat="segLists in segment.segList">
												
													<span class="flight-airport-code" ng-modal="flightresult.origin" ng-bind="segLists.origin"></span><br/>
													<span class="flight-time" ng-modal="flightresult.time">{{segLists.startTime}}</span>
													
													
													</div>
													
												</div></div>
													<div class="part part-journey">
													<div ng-repeat="segment in flight.segGrpList">
												<div ng-repeat="segLists in segment.segList">
														<div class="flight-duration">
															{{segLists.totFlyDuration}}
															</div>
														</div></div>
															<div class="flight-stops-graphic">
																<div class="stops"></div>
																</div>
																<div ng-repeat="segment in flight.segGrpList">
												<div ng-repeat="segLists in segment.segList">
																<div class="flight-stops">
																	<span>{{segLists.stops}}</span>
																</div></div></div>
														</div>
														<div class="part part-point part-point-arrival">
														<div ng-repeat="segment in flight.segGrpList">
												<div ng-repeat="segLists in segment.segList">
															<div class="flight-airport-code">{{segLists.dest}}</div>
															<div class="flight-time">{{segLists.arrivalTime}}</div>
												</div></div></div>
													
												</div>
												
											</div> 
									
											</div>
                                      	
                                    </div> -->
                                 </div> 
                                <div class="flight-info-section">
                                <a class="details-link o-icon-label o-icon-label--sm" ng-click="openFlight('lg',any,$index);">
                                    <i class="o-icon-label__icon icon-information"></i>

                                    <span class="o-icon-label__caption">Flight Details</span>
                                    
                                </a>

                                <div>
                                    <div class="pricing-block sc-c-price-block">
                                        <div class="sc-c-price-block__caption">
                                           <span ng-show="flightResultList.srchType == 2"> Return Flight</span>
										   <span ng-show="flightResultList.srchType == 1"> One-Way Flight</span>
                                        </div>
                                        <span class="sc-c-price-block__amount">
                                            <span>{{currency}} {{flight.grndTotal}}</span>
                                        </span>
                                        <div class="sc-c-price-block__legend">Total Fare</div>
                                    </div>
                                    <button type="button" class="btn btn-select btn-block" ng-click="flightBook($index);" ng-disabled="disabled">
                                        Select
                                        <i class="sc-c-button__icon icon-chevron-right"></i>
                                    </button>
										
                                </div>
                            </div>
                               
                            </div>
                           
                        </div>
					
                     
                    </div>
                </div>
            </div>
        </div>
		<script type="text/ng-template" id="flightDetailedinfoContent.html">
		<div class="modal-header">
		<h3 class="modal-title" id="modal-title">
		Flight Details 
	</h3>  
</div>  
<div class="modal-body"> 
	<div class="sc-o-row">  
		<div class="sc-o-col-12 sc-u-grid-gutter-y ">

			<div class="search-result-container flight-details ">	

					<div class="flight-listing-popup flight-leg flight-listing"	     
						ng-repeat="(in,segment) in flightDetails1.segGrpList">

	     	     	      	          	   
						<div ng-repeat="(x,segmentList) in segment.segList">		     
							<div ng-repeat="(key,info) in segmentList.fltInfoList"> 
 
								<!-- <div class="flight-leg-header">
									<span class="flight-date">Departure {{info.dispStartDate}}</span>
								</div> -->
								<div class="flight-leg-header" ng-show="key==0">                                                                                               
         <span class="flight-date">Departure  {{info.dispStartDate}}</span>
        </div>
								<table class="flight-leg-breakdown">
									<tbody>
										<tr class="row-depart"> 
											<td class="col-airline" rowspan="2"> 
												<div class="airline-logo"> 
													<img src="images/Airlines/sm{{info.airline}}.png">
												</div> <!----> 
												<div class="flight-number">{{info.airline}}{{info.fltNum}}</div>	  
												<!---->
												<div class="segment-cabin">Economy</div>
											</td>
											<td class="col-time"><span class="flight-time">{{info.dispStartTime}}</span>
											</td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.origin.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.origin}}</span>
												</div>
											</td>
											<td class="col-leg-icon" rowspan="2">	     
												<div class="part part-point part-point-arrival">
													<div class="route-circle top"></div>
													<div class="route-circle bottom"></div>
													<span class="duration">{{flight.fromFlight.duration}}</span>
												</div>
											</td>   
											<td class="col-duration" rowspan="2">
												<div class="flight-duration">{{info.dispDuration}}</div>
											</td>	  
										</tr>

										<tr class="row-arrive">
											<td class="col-time"><span class="flight-time">{{info.dispArrTime}}</span>
												<!----></td>
											<td class="col-airport">
												<div class="flight-airport">
													<span class="flight-airport-code">{{info.dest.split('(')[1].substring(0,3)}}</span>
													<span class="title">{{info.dest}}</span>
												</div>
											</td>
										</tr>

										<tr class="row-connection" ng-show="segmentList.fltInfoList.length!=(key+1)"> 

											<td class="col-airline"></td> 
											<td class="col-time"></td>  
											<td class="col-airport">
												<div class="connection-message">	      	 		 	      
													<span>Waiting in airport </span>	  	  
												</div>    	 
											</td>   	 
											<td class="col-leg-icon">			
												<div class="dots">		
													<div class="dot"></div>	  
													<div class="dot"></div>	   
													<div class="dot"></div> 
												</div>  
											</td>	        
 											<td class="col-duration" ng-init="getWaitingDuration(segmentList.fltInfoList[key].rawArrivalDate,segmentList.fltInfoList[key+1].rawDeptDate,in,x,key)"> 	 	      	     
												<div class="flight-duration"   ng-bind="waitingDuration[{{in}}{{x}}{{key}}]">	 	 				 
		 									</div>	  	 	  	  	          
											</td>  
										</tr>     
									</tbody>             
								 	<tfoot class="tfoot" ng-show="segmentList.fltInfoList.length ==(key+1)"> 	      	  	  	 	  			     	      	  	  
										<tr> 
											 <td colspan="2" class="col-date">Arrives on <span 
												class="flight-date">{{info.dispEndDate}}</span>	     
											</td>       
											<td colspan="2" class="sc-u-text--end">Journey duration: 	  
											</td>
											<td class="col-duration"> 
											<div class="flight-duration" ng-init="getTotalDuration(segmentList.totFlyDuration,segmentList.totTransitDuration)">{{totalDuration}}</div>
											
												
											</td>	 
										</tr>
									</tfoot>  
								</table>
							</div>
						</div>
					</div>



					<!--  <div ng-repeat="flightsearchResdetails in flightDetails1 track by $index">  -->

					<!--  <div class="flight-listing"> 
						<div class="flight-legs-section">
							<div ng-repeat="segment in flightDetails1.segGrpList">
								<div ng-repeat="segmentList in segment.segList">

									<div ng-repeat="info in segmentList.fltInfoList">

	
										<div class="flight-leg">
											<div class="leg-header">
												<span class="flight-date">Departure {{info.dispStartDate}}</span>	    
											</div>
											<div class="leg-main">		 
												<div class="airline-logo">	
													<img src="images/Airlines/sm{{info.airline}}.png">
													<p ng-bind="info.fltNum"></p>
												</div> 
												<div class="leg-itinerary">
													<div class="parts">
														<div class="part part-point part-point-departure">
															<div class="flight-airport-title">
																<span class="flight-time" ng-bind="info.dispStartTime"></span>
															</div>
															<div class="flight-airport-title">
																<span class="flight-time" ng-bind="info.dispArrTime"></span>
																
															</div>
														</div>
														<div class="part part-journey">
															
															<div class="flight-duration">
																<span class="flight-airport-code" ng-bind="info.origin.split('(')[1].substring(0,3)"></span>
																<span class="title" ng-bind="info.origin.split('(')[0]"></span>
																
															</div>
															
															<div class="flight-stops">
																<span class="flight-airport-code" ng-bind="info.dest.split('(')[1].substring(0,3)"></span>
																<span class="title" ng-bind="info.dest.split('(')[1].substring(0,3)"></span>
															</div>
														</div>
														<div class="part part-point part-point-arrival">
															<div class="route-circle top"></div>
															<div class="route-circle bottom"></div>
															<span class="duration">{{flight.fromFlight.duration}}</span>
														</div> 
													</div>
												</div>
												 
											</div> 
											<div class="leg-footer">
												<p class="pull-left">Arrives: <strong ng-bind="info.dispEndDate"></strong></p>
												<p class="pull-right">Jouney Duration: <strong  ng-bind="info.dispDuration"></strong></p>
												<div class="clearfix"></div>
											</div>
										</div>
									</div>
								</div>
							</div>
							
						</div>
					</div>             -->  
			<!-- </div> -->
				
			</div>
			
		</div>
	</div>
</div>
<div class="modal-footer">
	
	<button type="button" class="applyBtn btn btn-primary" ng-click="cancel();">Discard</button>
</div>
</script>
    </div>
<!-- </div> -->
